INTERFACE
SUBROUTINE CAPREDI(KNVYS, KNVYE, KPOS, KNLYJ, KNYJ)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE QAPAVU , ONLY : JPNINV
INTEGER(KIND=JPIM),INTENT(IN) :: KPOS
INTEGER(KIND=JPIM),INTENT(IN) :: KNVYS(JPNINV)
INTEGER(KIND=JPIM),INTENT(IN) :: KNVYE(KPOS)
INTEGER(KIND=JPIM),INTENT(OUT) :: KNLYJ
INTEGER(KIND=JPIM),INTENT(INOUT) :: KNYJ(JPNINV)
END SUBROUTINE CAPREDI
END INTERFACE
